View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009843ParaViewBugpublic2009-11-04 16:422015-12-23 22:10
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.8 
Summary0009843: Exodus - Apply Displacements button unchecks incorrectly
DescriptionParaView 3.6.2, XP, local server.
Open can.exo.
Select all variables (all variables turn on).
Select all variables (all variables turn off).

<<Bug>> - notice that Apply Displacements has turned off. It should remain on, but grayed out (since the displacement variable is off)

Select all variables (all variables turn on). Apply Displacements should now be back to the original state (probably on).

TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0018734)
Utkarsh Ayachit (administrator)
2009-12-09 09:54

Wouldn;t think fix make it harder for user to understand why "Apply Displacements" is disabled. Currently when "DISPL" is not checked, Apply Dispacements gets unchecked. If the user checks "Apply Displacements" now, it automatically forces "DISPL" to be checked.

Would be be a better fix if when "DISPL" is checked, we restored the "Apply Displacements" to the last accepted value?
(0019186)
Alan Scott (manager)
2010-01-18 22:25

Yes, I totally agree with the note to return to the last accepted value.
(0019200)
Utkarsh Ayachit (administrator)
2010-01-19 15:26

When displ array is enabled, set the value of ApplyDisplacements to the last accepted value.

/cvsroot/ParaView3/ParaView3/Qt/Components/pqExodusIIPanel.cxx,v <-- Qt/Components/pqExodusIIPanel.cxx
new revision: 1.24; previous revision: 1.23
(0019233)
Alan Scott (manager)
2010-01-20 18:37

Close, but not quite.

Open can.exo
turn displacements off.
select all variables button, turning them all on.
select all variables button, turning them all off.
select all variables button, turning them all on.

Note that displacements turns on. This isn't correct, is it?
(0035611)
Alan Scott (manager)
2015-12-23 22:10

This is fixed. Tested local server, 5.0.0-RC2, Linux.

- Issue History
Date Modified Username Field Change
2009-11-04 16:42 Alan Scott New Issue
2009-12-09 09:54 Utkarsh Ayachit Note Added: 0018734
2010-01-18 22:25 Alan Scott Note Added: 0019186
2010-01-19 15:26 Utkarsh Ayachit Note Added: 0019200
2010-01-19 15:26 Utkarsh Ayachit Status backlog => @80@
2010-01-19 15:26 Utkarsh Ayachit Fixed in Version => 3.8
2010-01-19 15:26 Utkarsh Ayachit Resolution open => fixed
2010-01-19 15:26 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2010-01-20 18:37 Alan Scott Note Added: 0019233
2010-01-20 18:37 Alan Scott Status @80@ => @20@
2010-01-20 18:37 Alan Scott Resolution fixed => reopened
2015-12-23 22:10 Alan Scott Note Added: 0035611
2015-12-23 22:10 Alan Scott Status expired => closed
2015-12-23 22:10 Alan Scott Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker